searchData={"content_type":"text/markdown","items":[{"doc":"Documentation for BitstylesPhoenix.","ref":"BitstylesPhoenix.html","title":"BitstylesPhoenix","type":"module"},{"doc":"Check out the main [README](README.md).","ref":"BitstylesPhoenix.html#module-setup-getting-started","title":"Setup & Getting started - BitstylesPhoenix","type":"module"},{"doc":"Use by either `use BitstylesPhoenix` or importing the components and helpers individually.\n\n```elixir\n  use BitstylesPhoenix\n\n  # or\n\n  import BitstylesPhoenix.Helper.Button\n```\n\nThen use the components and helpers in your `*.heex` templates:\n\n```elixir\n A nice badge \n# =>  A nice badge \n```\n\n```elixir\nui_button(\"Save\", type: \"submit\")\n# =>  Save \n```\n\nSome components require additional JS to work as intended. Either you implement the JS yourself\nand use the ui components directly, or the `Live` or `Alpine3` ones.\n```\n  use BitstylesPhoenix.Live    # import all `BitstylesPhoenix.Live` components\n  use BitstylesPhoenix.Alpine3 # import all `BitstylesPhoenix.Alpine3` components\n```\n\nFor the Alpine versions to work, [alpine.js](https://alpinejs.dev/) should be present on the page.\nThe [JS commands](https://hexdocs.pm/phoenix_live_view/bindings.html#js-commands) version will only work within connected LiveViews.\n\nCheckout the components and helpers for examples and showcases.","ref":"BitstylesPhoenix.html#module-usage","title":"Usage - BitstylesPhoenix","type":"module"},{"doc":"The library can be configured through `mix` configuration.\n\n#","ref":"BitstylesPhoenix.html#module-configuration","title":"Configuration - BitstylesPhoenix","type":"module"},{"doc":"BitstylesPhoenix will generate classes 4.3.0 of bitstyles.\nYou can set older versions with a configuration:\n\n```elixir\nconfig :bitstyles_phoenix,\n  bitstyles_version: \"1.5.0\"\n```\nRelease candidate versions are currently not supported.\n\n#","ref":"BitstylesPhoenix.html#module-bitstyles-version","title":"Bitstyles version - BitstylesPhoenix","type":"module"},{"doc":"Generated phoenix apps usally come with a helper for [translating error messages](https://github.com/phoenixframework/phoenix/blob/496123b66c03c9764be623d2c32b4af611837eb0/installer/templates/phx_web/views/error_helpers.ex#L23-L46)\nusing `gettext`. This helper can be used to translate error messages rendered with `bitstyles_phoenix`.\n\nIn order to do so you can configure the generated helper or write your own with the MFA configuration.\n\n```elixir\nconfig :bitstyles_phoenix,\n  translate_errors: {ExampleWeb.ErrorHelpers, :translate_error, []}\n```\n\n#","ref":"BitstylesPhoenix.html#module-translating-error-messages","title":"Translating error messages - BitstylesPhoenix","type":"module"},{"doc":"In order for the bitstyles icons to properly render they can either be rendered inline in the document or served as an SVG file\nand configured with the phoenix static_path helpers. The configured icon file path can be either a string or a MF/MFA.\n\nExample:\n```\nconfig :bitstyles_phoenix,\n  icon_file: {MyappWeb.Endpoint, :static_path, [\"/assets/images/icons.svg\"]}\n```\n\nIn order for the above example to work, one has to serve the bitstyles icon file under that static path.\nThis can be done either via a webpack file-loader, postcss or simply by copying the files into the `priv/static` dir of\nyour phoenix app.\n\nCheck out the [demo project](https://github.com/bitcrowd/bitstyles_phoenix/tree/main/demo) folder in the sources\nfor an example configuration.\n\n#","ref":"BitstylesPhoenix.html#module-icon-file","title":"Icon file - BitstylesPhoenix","type":"module"},{"doc":"Sometimes you need to set classes for testing, that are not needed or used in production.\nBy default, all classes generated by bitstyles_phoenix are appended using `BitstylesPhoenix.Helper.Classnames.classnames/1`.\nThis helper trims classes prefixed with `e2e` by default. This behaviour can be configured:\n\nDisable trimming\n```elixir\nconfig :bitstyles_phoenix,\n  trim_e2e_classes: [enabled: false]\n```\n\nUse another prefix for trimming\n```elixir\nconfig :bitstyles_phoenix,\n  trim_e2e_classes: [enabled: true, prefix: \"test-\"]\n```\n\n#","ref":"BitstylesPhoenix.html#module-trim-e2e-classnames","title":"Trim `e2e-` classnames - BitstylesPhoenix","type":"module"},{"doc":"You can control how required labels are rendered. By default you will get this appended to your labels if the input is required:\n```html\n   * \n```\n\nYou can override it by specifying your own component to render the required labels. The component will get the form and the field as assigns, as well as any optional parameters you pass in the MFA as `@opts`.\n\n```elixir\nconfig :bitstyles_phoenix,\n  required_label: {MyComponent, :my_required_label, []}\n\ndefmodule MyComponent do\n  use Phoenix.Component\n\n  def my_required_label(assigns) do\n    ~H\" (required) \"\n  end\nend\n```","ref":"BitstylesPhoenix.html#module-defining-a-required-label","title":"Defining a required label - BitstylesPhoenix","type":"module"},{"doc":"The very best of NPM, now for elixir.","ref":"BitstylesPhoenix.Helper.Classnames.html","title":"BitstylesPhoenix.Helper.Classnames","type":"module"},{"doc":"Concatenates lists of class names, with trimming and conditionals.\n\nClasses prefixes with `e2e-` are removed by default. This behaviour can be configured with\nthe `trim_e2e_classes` configuration. Check `BitstylesPhoenix` top level documentation for\nmore information on configuration options.","ref":"BitstylesPhoenix.Helper.Classnames.html#classnames/2","title":"BitstylesPhoenix.Helper.Classnames.classnames/2","type":"function"},{"doc":"iex> classnames(\"foo\")\n    \"foo\"\n\n    iex> classnames(\"e2e-out\")\n    false\n\n    iex> classnames(nil)\n    false\n\n    iex> classnames(\"  foo    \")\n    \"foo\"\n\n    iex> classnames(\"  foo bar  \")\n    \"foo bar\"\n\n    iex> classnames([\"foo\", \"bar\"])\n    \"foo bar\"\n\n    iex> classnames([\"foo\", \"bar baz\"])\n    \"foo bar baz\"\n\n    iex> classnames(:foo)\n    \"foo\"\n\n    iex> classnames({\"foo\", 1 == 1})\n    \"foo\"\n\n    iex> classnames({\"foo\", 1 == 2})\n    false\n\n    iex> classnames([\"  foo  boing  \", {\"bar\", 1 == 2}, :baz])\n    \"foo boing baz\"","ref":"BitstylesPhoenix.Helper.Classnames.html#classnames/2-examples","title":"Examples - BitstylesPhoenix.Helper.Classnames.classnames/2","type":"function"},{"doc":"An Avatar component.","ref":"BitstylesPhoenix.Component.Avatar.html","title":"BitstylesPhoenix.Component.Avatar","type":"module"},{"doc":"Renders an avatar component.\n\nThe avatar component can have medium and large sizes, and it defaults to medium. It accepts a slot for text.\nAlways provide a source and alt. The width and height have 32px default values and can be overidden.\n\nSee the [bitstyles avatar docs](https://bitcrowd.github.io/bitstyles/?path=/docs/atoms-avatar--a-avatar-m) for further info.","ref":"BitstylesPhoenix.Component.Avatar.html#ui_avatar/1","title":"BitstylesPhoenix.Component.Avatar.ui_avatar/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Avatar.html#ui_avatar/1-default-avatar","title":"Default avatar - BitstylesPhoenix.Component.Avatar.ui_avatar/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Avatar.html#ui_avatar/1-with-extra-class","title":"With extra class - BitstylesPhoenix.Component.Avatar.ui_avatar/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Avatar.html#ui_avatar/1-large-avatar","title":"Large avatar - BitstylesPhoenix.Component.Avatar.ui_avatar/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>   Username  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n       \n       \n        Username\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Avatar.html#ui_avatar/1-avatar-with-a-text","title":"Avatar with a text - BitstylesPhoenix.Component.Avatar.ui_avatar/1","type":"function"},{"doc":"The Badge component.","ref":"BitstylesPhoenix.Component.Badge.html","title":"BitstylesPhoenix.Component.Badge","type":"module"},{"doc":"Render a badge to highlighted small texts, such as an item count or state indicator.","ref":"BitstylesPhoenix.Component.Badge.html#ui_badge/1","title":"BitstylesPhoenix.Component.Badge.ui_badge/1","type":"function"},{"doc":"- `variant` — Variant of the badge you want, from those available in the CSS classes e.g. `brand-1`, `danger`\n- `class` - Extra classes to pass to the badge. See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed to the `span` tag.\n\nSee [bitstyles badge docs](https://bitcrowd.github.io/bitstyles/?path=/docs/atoms-badge--badge) for examples, and for the default variants available.","ref":"BitstylesPhoenix.Component.Badge.html#ui_badge/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Badge.ui_badge/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   published\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      published\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Badge.html#ui_badge/1-default-badge","title":"Default badge - BitstylesPhoenix.Component.Badge.ui_badge/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   new\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      new\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Badge.html#ui_badge/1-badge-variant-brand-1","title":"Badge variant brand-1 - BitstylesPhoenix.Component.Badge.ui_badge/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   recommended\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      recommended\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Badge.html#ui_badge/1-badge-variant-brand-2","title":"Badge variant brand-2 - BitstylesPhoenix.Component.Badge.ui_badge/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   deleted\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      deleted\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Badge.html#ui_badge/1-badge-variant-danger","title":"Badge variant danger - BitstylesPhoenix.Component.Badge.ui_badge/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   published\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      published\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Badge.html#ui_badge/1-extra-options-and-classes","title":"Extra options and classes - BitstylesPhoenix.Component.Badge.ui_badge/1","type":"function"},{"doc":"The Breadcrumbs component.","ref":"BitstylesPhoenix.Component.Breadcrumbs.html","title":"BitstylesPhoenix.Component.Breadcrumbs","type":"module"},{"doc":"Render breadcrumbs (usually links) to reflect the page structure.","ref":"BitstylesPhoenix.Component.Breadcrumbs.html#ui_breadcrumbs/1","title":"BitstylesPhoenix.Component.Breadcrumbs.ui_breadcrumbs/1","type":"function"},{"doc":"- `icon_file` - The external SVG file with icons to be passed on to\n  `BitstylesPhoenix.Component.Icon.ui_icon/1` for the breadcrumb icon.\n  Only needed if SVG icons are not provided inline on the HTML.\n- `class` - Extra classes to pass to the `ul` tag.\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed to the `nav` tag.","ref":"BitstylesPhoenix.Component.Breadcrumbs.html#ui_breadcrumbs/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Breadcrumbs.ui_breadcrumbs/1","type":"function"},{"doc":"- `class` - Extra classes to pass to the `li` tag.\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed to the `li` tag.\n\nSee [bitstyles breadcrumbs docs](https://bitcrowd.github.io/bitstyles/?path=/docs/ui-navigation-breadcrumbs--breadcrumbs) for examples.","ref":"BitstylesPhoenix.Component.Breadcrumbs.html#ui_breadcrumbs/1-attributes-item-slot","title":"Attributes - `item` slot - BitstylesPhoenix.Component.Breadcrumbs.ui_breadcrumbs/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    Foo \n    ...>    Bar \n    ...>    Baz \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Foo\n           \n             \n             \n           \n         \n         \n          Bar\n           \n             \n             \n           \n         \n         \n          Baz\n           \n             \n             \n           \n         \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Component.Breadcrumbs.html#ui_breadcrumbs/1-breadcrumbs","title":"Breadcrumbs - BitstylesPhoenix.Component.Breadcrumbs.ui_breadcrumbs/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Foo\n           \n             \n             \n           \n         \n         \n          Bar\n           \n             \n             \n           \n         \n         \n          Baz\n           \n             \n             \n           \n         \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Component.Breadcrumbs.html#ui_breadcrumbs/1-breadcrumbs-via-array","title":"Breadcrumbs via array - BitstylesPhoenix.Component.Breadcrumbs.ui_breadcrumbs/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    Foo \n    ...>    Bar \n    ...>    Baz \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Foo\n           \n             \n             \n           \n         \n         \n          Bar\n           \n             \n             \n           \n         \n         \n          Baz\n           \n             \n             \n           \n         \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Component.Breadcrumbs.html#ui_breadcrumbs/1-breadcrumbs-with-custom-classes-and-properties","title":"Breadcrumbs with custom classes and properties - BitstylesPhoenix.Component.Breadcrumbs.ui_breadcrumbs/1","type":"function"},{"doc":"The button component.","ref":"BitstylesPhoenix.Component.Button.html","title":"BitstylesPhoenix.Component.Button","type":"module"},{"doc":"Renders anchor or button elements that look like a button — using the `a-button` classes.\n- `href`, `navigate`, `patch` - if there’s one of these, you’ll get an anchor element, otherwise a button element. (See Phoenix.Component.link/1)\n- `variant` - specifies which visual variant of button you want, from those available in the CSS classes e.g. `ui`, `danger`\n- `class` - Extra classes to pass to the badge. See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- `icon` - An icon name as string or a tuple with `{icon_name, icon_opts}` which is passed to `BitstylesPhoenix.Component.Icon.ui_icon/1` as\n  attributes. Additionally it is possible to pass `after: true` to the icon_opts, to make the icon appear after the button label instead of in\n  front of it.\n\nAll other attributes you pass are forwarded to [Phoenix.Component.link/1](https://hexdocs.pm/phoenix_live_view/Phoenix.Component.html#link/1) or on the button tag, if one of those is rendered.\n\nSee the [bitstyles button docs](https://bitcrowd.github.io/bitstyles/?path=/docs/ui-buttons-buttons--page) for available button variants.\n\n\nSee `BitstylesPhoenix.Helper.Button.ui_button/2` for more examples and options.","ref":"BitstylesPhoenix.Component.Button.html#ui_button/1","title":"BitstylesPhoenix.Component.Button.ui_button/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Publish\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Publish\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Button.html#ui_button/1-default-button","title":"Default button - BitstylesPhoenix.Component.Button.ui_button/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Publish\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Publish\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Button.html#ui_button/1-default-link","title":"Default link - BitstylesPhoenix.Component.Button.ui_button/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Publish\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Publish\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Button.html#ui_button/1-default-disabled-link-renders-disabled-button-instead","title":"Default disabled link renders disabled button instead - BitstylesPhoenix.Component.Button.ui_button/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Save\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Save\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Button.html#ui_button/1-default-submit-button","title":"Default submit button - BitstylesPhoenix.Component.Button.ui_button/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Save\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Save\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Button.html#ui_button/1-default-submit-button-with-custom-classes","title":"Default submit button with custom classes - BitstylesPhoenix.Component.Button.ui_button/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Save\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Save\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Button.html#ui_button/1-ui-button","title":"UI button - BitstylesPhoenix.Component.Button.ui_button/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Save\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Save\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Button.html#ui_button/1-dangerous-button","title":"Dangerous button - BitstylesPhoenix.Component.Button.ui_button/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Add\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n         \n       \n       \n        Add\n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Component.Button.html#ui_button/1-button-with-an-icon","title":"Button with an icon - BitstylesPhoenix.Component.Button.ui_button/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Add\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n        Add\n       \n       \n         \n         \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Component.Button.html#ui_button/1-button-with-an-icon-after","title":"Button with an icon after - BitstylesPhoenix.Component.Button.ui_button/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Add\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Add\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Button.html#ui_button/1-pass-along-attributes-to-phoenix-helpers","title":"Pass along attributes to Phoenix helpers - BitstylesPhoenix.Component.Button.ui_button/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Add\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Add\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Button.html#ui_button/1-button-with-liveview-patch","title":"Button with LiveView patch - BitstylesPhoenix.Component.Button.ui_button/1","type":"function"},{"doc":"An icon button with sr text and title. Accepts an icon name and a label.\n\nThe icon can be either provided as icon name string, or as tuple with `{name, icon_opts}` where the name is the\nicon name and icon options that are passed as attributes to `BitstylesPhoenix.Component.Icon.ui_icon`.","ref":"BitstylesPhoenix.Component.Button.html#ui_icon_button/1","title":"BitstylesPhoenix.Component.Button.ui_icon_button/1","type":"function"},{"doc":"- `icon` - An icon name as string or a tuple of {name, icon_opts} to be passed on.\n- `label` - A screen reader label for the button.\n- `reversed` - Icon reversed style (see examples)\n- All other attributes are passed in as attributes to `BitstylesPhoenix.Component.Button.ui_button/1`.","ref":"BitstylesPhoenix.Component.Button.html#ui_icon_button/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Button.ui_icon_button/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n         \n       \n       \n        Add\n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Component.Button.html#ui_icon_button/1-icon-button","title":"Icon button - BitstylesPhoenix.Component.Button.ui_icon_button/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n         \n       \n       \n        Delete\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Button.html#ui_icon_button/1-icon-button-with-some-options","title":"Icon button with some options - BitstylesPhoenix.Component.Button.ui_icon_button/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n         \n       \n       \n        Show\n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Component.Button.html#ui_icon_button/1-icon-button-reversed","title":"Icon button reversed - BitstylesPhoenix.Component.Button.ui_icon_button/1","type":"function"},{"doc":"A Card component.","ref":"BitstylesPhoenix.Component.Card.html","title":"BitstylesPhoenix.Component.Card","type":"module"},{"doc":"Renders a card component. The card component can have default and large sizes,\n  It accepts a slot for content.","ref":"BitstylesPhoenix.Component.Card.html#ui_card/1","title":"BitstylesPhoenix.Component.Card.ui_card/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>   Hello world  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n        Hello world\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Card.html#ui_card/1-default-card","title":"Default Card - BitstylesPhoenix.Component.Card.ui_card/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>   Hello world  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n        Hello world\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Card.html#ui_card/1-large-card","title":"Large Card - BitstylesPhoenix.Component.Card.ui_card/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Its me mario \n    ...>   Hello world \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Its me mario\n         \n       \n       \n        Hello world\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Card.html#ui_card/1-large-card-with-header","title":"Large Card with header - BitstylesPhoenix.Component.Card.ui_card/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Its me mario \n    ...>   Hello world \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Its me mario\n         \n       \n       \n        Hello world\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Card.html#ui_card/1-small-card-with-header","title":"Small Card with header - BitstylesPhoenix.Component.Card.ui_card/1","type":"function"},{"doc":"The Content component.","ref":"BitstylesPhoenix.Component.Content.html","title":"BitstylesPhoenix.Component.Content","type":"module"},{"doc":"Renders a content div, to add some spacing to the sides of your content.","ref":"BitstylesPhoenix.Component.Content.html#ui_content/1","title":"BitstylesPhoenix.Component.Content.ui_content/1","type":"function"},{"doc":"- `variant` — Variant of the content you want, from those available in the CSS classes e.g. `full`\n- `class` - Extra classes to pass to the content. See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed to the `div` tag.\n\nSee [bitstyles content docs](https://bitcrowd.github.io/bitstyles/?path=/docs/atoms-content--content) for examples, and for the default variants available.","ref":"BitstylesPhoenix.Component.Content.html#ui_content/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Content.ui_content/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Content\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Content\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Content.html#ui_content/1-default-content","title":"Default content - BitstylesPhoenix.Component.Content.ui_content/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Full Content\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Full Content\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Content.html#ui_content/1-full-content","title":"Full content - BitstylesPhoenix.Component.Content.ui_content/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Content with extra\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Content with extra\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Content.html#ui_content/1-extra-classes-and-attributes","title":"Extra classes and attributes - BitstylesPhoenix.Component.Content.ui_content/1","type":"function"},{"doc":"The description list components.","ref":"BitstylesPhoenix.Component.DescriptionList.html","title":"BitstylesPhoenix.Component.DescriptionList","type":"module"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    \n    ...>    2007-01-02 \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Length\n         \n         \n          8\n         \n       \n       \n         \n          Inserted at\n         \n         \n          2007-01-02\n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.DescriptionList.html#module-with-items-short-cut-form","title":"With items (short-cut form) - BitstylesPhoenix.Component.DescriptionList","type":"module"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    8 \n    ...>    \n    ...>      Some \n    ...>      Tag \n    ...>    \n    ...>    \n    ...>       Tag  \n    ...>      Value \n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Length\n         \n         \n          8\n         \n       \n       \n         \n          Some\n         \n         \n          Tag\n         \n       \n       \n         \n           \n            Tag\n           \n         \n         \n          Value\n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.DescriptionList.html#module-with-items-short-cut-and-long-form-and-extra-attributes","title":"With items (short-cut and long form) and extra attributes - BitstylesPhoenix.Component.DescriptionList","type":"module"},{"doc":"Render a dd tag for usage with `ui_dl_item/1`.","ref":"BitstylesPhoenix.Component.DescriptionList.html#ui_dd/1","title":"BitstylesPhoenix.Component.DescriptionList.ui_dd/1","type":"function"},{"doc":"- `class` - Extra classes to pass to the `dd` tag.\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed to the `dd` tag.","ref":"BitstylesPhoenix.Component.DescriptionList.html#ui_dd/1-attributes","title":"Attributes - BitstylesPhoenix.Component.DescriptionList.ui_dd/1","type":"function"},{"doc":"Render a description list.","ref":"BitstylesPhoenix.Component.DescriptionList.html#ui_dl/1","title":"BitstylesPhoenix.Component.DescriptionList.ui_dl/1","type":"function"},{"doc":"- `class` - Extra classes to pass to the `dl` tag.\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed to the `dl` tag.\n\nSee [bitstyles description list docs](https://bitcrowd.github.io/bitstyles/?path=/docs/ui-data-description-list--description-list) for examples.","ref":"BitstylesPhoenix.Component.DescriptionList.html#ui_dl/1-attributes","title":"Attributes - BitstylesPhoenix.Component.DescriptionList.ui_dl/1","type":"function"},{"doc":"Render a description list item.","ref":"BitstylesPhoenix.Component.DescriptionList.html#ui_dl_item/1","title":"BitstylesPhoenix.Component.DescriptionList.ui_dl_item/1","type":"function"},{"doc":"- `label` - If set renders two tags `ui_dt/1` with the contents of the attribute and `ui_dd/1` with the inner contents of the component.\n  If you need to set more custom content on the `ui_dt/1` you can omit this attribute, and provide `ui_dt/1` and `ui_dd/1` yourself\n  in the inner conten.\n- `value` - If `label` is set, a `value` can be specified instead of using the inner content of the component.\n- `class` - Extra classes to pass to the `div` tag. See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed to the `div` tag.","ref":"BitstylesPhoenix.Component.DescriptionList.html#ui_dl_item/1-attributes","title":"Attributes - BitstylesPhoenix.Component.DescriptionList.ui_dl_item/1","type":"function"},{"doc":"Render a dt tag for usage with `ui_dl_item/1`.","ref":"BitstylesPhoenix.Component.DescriptionList.html#ui_dt/1","title":"BitstylesPhoenix.Component.DescriptionList.ui_dt/1","type":"function"},{"doc":"- `class` - Extra classes to pass to the `dt` tag.\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed to the `dt` tag.","ref":"BitstylesPhoenix.Component.DescriptionList.html#ui_dt/1-attributes","title":"Attributes - BitstylesPhoenix.Component.DescriptionList.ui_dt/1","type":"function"},{"doc":"The dropdown component without any JS.","ref":"BitstylesPhoenix.Component.Dropdown.html","title":"BitstylesPhoenix.Component.Dropdown","type":"module"},{"doc":"Renders a dropdown component with a button and a menu.\n\n*In order for this component to work you have to provide extra JS like shown in the examples.*\n\nThe dropdown supports a default button that can either render with a label and a icon or with completly custom content.\nThe dropdown options can be passed to the menu slot as inner content. Options can be rendered with `ui_dropdown_option/1`.","ref":"BitstylesPhoenix.Component.Dropdown.html#ui_dropdown/1","title":"BitstylesPhoenix.Component.Dropdown.ui_dropdown/1","type":"function"},{"doc":"- `class` - Extra classes to pass to the outer `div`\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- `variant` - The dropdown variant (top, right, full-width).\n  Can be provided as an atom, a string, a list of atoms or a list of strings.\n- All other attributes are passed on to the outer `div`\n\nThis component will not render any inner content except slots.","ref":"BitstylesPhoenix.Component.Dropdown.html#ui_dropdown/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Dropdown.ui_dropdown/1","type":"function"},{"doc":"- `class` - Extra classes to pass to the `ul` dropdown menu\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed on to the outer `ul`\n\nThis slot will render any inner content as the menu. Children are expected to be ` `.","ref":"BitstylesPhoenix.Component.Dropdown.html#ui_dropdown/1-attributes-menu-slot","title":"Attributes - `menu` slot - BitstylesPhoenix.Component.Dropdown.ui_dropdown/1","type":"function"},{"doc":"- `class` - Extra classes to pass to the dropdown `button`\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- `label` - The button for the label. If set, will not render\n  custom button content.\n- `icon_file` - The external SVG file with icons to be passed on to\n  `BitstylesPhoenix.Component.Icon.ui_icon/1` for the dropdown icon.\n  Only needed if SVG icons are not provided inline and if\n  not rendering custom button content.\n\nThis slot will render it's inner content when no button label is set.","ref":"BitstylesPhoenix.Component.Dropdown.html#ui_dropdown/1-attributes-button-slot","title":"Attributes - `button` slot - BitstylesPhoenix.Component.Dropdown.ui_dropdown/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    \n    ...>    \n    ...>      \n    ...>       Option 1\n    ...>      \n    ...>      \n    ...>       Option 2\n    ...>      \n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Select me\n         \n         \n           \n           \n         \n       \n       \n         \n           \n            Option 1\n           \n         \n         \n           \n            Option 2\n           \n         \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Component.Dropdown.html#ui_dropdown/1-minimal-dropdown-with-defaults-without-js","title":"Minimal dropdown with defaults without JS - BitstylesPhoenix.Component.Dropdown.ui_dropdown/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>     \n    ...>    \n    ...>      \n    ...>      \n    ...>        \n    ...>         Option 1\n    ...>        \n    ...>        \n    ...>         Option 2\n    ...>        \n    ...>      \n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n       \n       \n         \n           \n            Select me\n           \n           \n             \n             \n           \n         \n         \n           \n             \n              Option 1\n             \n           \n           \n             \n              Option 2\n             \n           \n         \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Component.Dropdown.html#ui_dropdown/1-dropdown-with-menu-variant-top","title":"Dropdown with menu variant top - BitstylesPhoenix.Component.Dropdown.ui_dropdown/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    \n    ...>    \n    ...>      \n    ...>       Option 1\n    ...>      \n    ...>      \n    ...>       Option 2\n    ...>      \n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Select me\n         \n         \n           \n           \n         \n       \n       \n         \n           \n            Option 1\n           \n         \n         \n           \n            Option 2\n           \n         \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Component.Dropdown.html#ui_dropdown/1-dropdown-with-menu-variant-right","title":"Dropdown with menu variant right - BitstylesPhoenix.Component.Dropdown.ui_dropdown/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>     \n    ...>    \n    ...>      \n    ...>      \n    ...>        \n    ...>         Option 1\n    ...>        \n    ...>        \n    ...>         Option 2\n    ...>        \n    ...>      \n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n       \n       \n         \n           \n            Select me\n           \n           \n             \n             \n           \n         \n         \n           \n             \n              Option 1\n             \n           \n           \n             \n              Option 2\n             \n           \n         \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Component.Dropdown.html#ui_dropdown/1-dropdown-with-menu-variant-top-right","title":"Dropdown with menu variant top right - BitstylesPhoenix.Component.Dropdown.ui_dropdown/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    Custom button content \n    ...>    \n    ...>      \n    ...>       Option 1\n    ...>      \n    ...>      \n    ...>       Option 2\n    ...>      \n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n        Custom button content\n       \n       \n         \n           \n            Option 1\n           \n         \n         \n           \n            Option 2\n           \n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Dropdown.html#ui_dropdown/1-custom-button-content","title":"Custom button content - BitstylesPhoenix.Component.Dropdown.ui_dropdown/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    \n    ...>      \n    ...>      \n    ...>        \n    ...>         Option 1\n    ...>        \n    ...>        \n    ...>         Option 2\n    ...>        \n    ...>         \n    ...>        \n    ...>         Option 3\n    ...>        \n    ...>      \n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n           \n            Select me\n           \n           \n             \n             \n           \n         \n         \n           \n             \n              Option 1\n             \n           \n           \n             \n              Option 2\n             \n           \n           \n           \n           \n             \n              Option 3\n             \n           \n         \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n  function toggle(element) {\n    var e = document.getElementById(element);\n    if (e.style.display === \"none\") {\n      e.style.display = \"block\";\n    } else {\n      e.style.display = \"none\";\n    }\n  }\n \n\n```","ref":"BitstylesPhoenix.Component.Dropdown.html#ui_dropdown/1-drop-down-with-some-js-and-full-width-variant-and-icon-file","title":"Drop down with some JS and full-width variant and icon file - BitstylesPhoenix.Component.Dropdown.ui_dropdown/1","type":"function"},{"doc":"Renders an option for usage inside of a dropdown menu.\nAll attributes are passed down to the `BitstylesPhoenix.Component.Button.ui_button/1` component.","ref":"BitstylesPhoenix.Component.Dropdown.html#ui_dropdown_option/1","title":"BitstylesPhoenix.Component.Dropdown.ui_dropdown_option/1","type":"function"},{"doc":"Component for showing UI errors.","ref":"BitstylesPhoenix.Component.Error.html","title":"BitstylesPhoenix.Component.Error","type":"module"},{"doc":"Generates tag for custom errors.","ref":"BitstylesPhoenix.Component.Error.html#ui_error/1","title":"BitstylesPhoenix.Component.Error.ui_error/1","type":"function"},{"doc":"- `error` *(required)* - The error to render (expected to be a tuple with `{message :: String.t(), opts :: keyword()}`).\n- All other attributes are passed to the outer `span` tag.\n\nUses the `translate_errors` MFA from the config to translate field errors (e.g. with `gettext`).\n\nThe error will be rendered with the warning color, as\nspecified in [bitstyles colors](https://bitcrowd.github.io/bitstyles/?path=/docs/utilities-fg--warning).","ref":"BitstylesPhoenix.Component.Error.html#ui_error/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Error.ui_error/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Foo error\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Error.html#ui_error/1-an-error-tag","title":"An error tag - BitstylesPhoenix.Component.Error.ui_error/1","type":"function"},{"doc":"iex> assigns = %{error: {\"Foo error\", []}}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Foo error\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Error.html#ui_error/1-an-error-tag-extra-options-and-classes","title":"An error tag extra options and classes - BitstylesPhoenix.Component.Error.ui_error/1","type":"function"},{"doc":"Render errors from a Phoenix.HTML.Form.","ref":"BitstylesPhoenix.Component.Error.html#ui_errors/1","title":"BitstylesPhoenix.Component.Error.ui_errors/1","type":"function"},{"doc":"- `form` *(required)* - The form to render the input form.\n- `field` *(required)* - The name of the field for the input.\n- `class` - Extra classes to pass to the wrapping `ul` if there are mutliple errors.\n   See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- `error_class` - Extra classes to pass to the error component.\n   See `BitstylesPhoenix.Helper.classnames/1` for usage.\n\nSee also `BitstylesPhoenix.Component.Form`.\n\nUses the `translate_errors` MFA from the config to translate field errors (e.g. with `gettext`).","ref":"BitstylesPhoenix.Component.Error.html#ui_errors/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Error.ui_errors/1","type":"function"},{"doc":"iex> assigns = %{form: @form_with_errors}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      is too short\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Error.html#ui_errors/1-a-single-error","title":"A single error - BitstylesPhoenix.Component.Error.ui_errors/1","type":"function"},{"doc":"iex> assigns = %{form: @form_with_errors}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          is simply bad\n         \n       \n       \n         \n          not fun\n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Error.html#ui_errors/1-multiple-errors","title":"Multiple errors - BitstylesPhoenix.Component.Error.ui_errors/1","type":"function"},{"doc":"Component for building flash messages.","ref":"BitstylesPhoenix.Component.Flash.html","title":"BitstylesPhoenix.Component.Flash","type":"module"},{"doc":"Render a flash message.\n\nInform the user of a global or important event, such as may happen after a page reload.\nThere are several variants, which use color, iconography, and html attributes to indicate severity.","ref":"BitstylesPhoenix.Component.Flash.html#ui_flash/1","title":"BitstylesPhoenix.Component.Flash.ui_flash/1","type":"function"},{"doc":"- `variant` - specifies which visual variant of flash you want, from those available in CSS.\n  Defaults include: `brand-1`, `warning`, `info`, `danger`\n  Additionally you can pass `full` as a variant that will be set on the content class.\n  Variants can be passed in as binary, atoms or as a list of atoms/binaries.\n- `class` - Set CSS classes on the outer div.\n- `content_class` - Set CSS classes on the content div.\n- All other attributes are passed to the outer `div` tag.\n\nSee [https://bitcrowd.github.io/bitstyles/?path=/docs/ui-flashes--flash-brand-1](https://bitcrowd.github.io/bitstyles/?path=/docs/ui-flashes--flash-brand-1)","ref":"BitstylesPhoenix.Component.Flash.html#ui_flash/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Flash.ui_flash/1","type":"function"},{"doc":"iex> assigns = %{}\n    iex> render(~H\"\"\"\n    ...>    \n    ...>     Something you may be interested to hear\n    ...>    \n    ...> \"\"\")\n    \"\"\"\n     \n       \n        Something you may be interested to hear\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Flash.html#ui_flash/1-flash-brand-1","title":"Flash brand 1 - BitstylesPhoenix.Component.Flash.ui_flash/1","type":"function"},{"doc":"iex> assigns = %{}\n    iex> render(~H\"\"\"\n    ...>    \n    ...>     Saved successfully\n    ...>    \n    ...> \"\"\")\n    \"\"\"\n     \n       \n        Saved successfully\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Flash.html#ui_flash/1-flash-success","title":"Flash success - BitstylesPhoenix.Component.Flash.ui_flash/1","type":"function"},{"doc":"iex> assigns = %{}\n    iex> render(~H\"\"\"\n    ...>    \n    ...>     Saved with errors\n    ...>    \n    ...> \"\"\")\n    \"\"\"\n     \n       \n        Saved with errors\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Flash.html#ui_flash/1-flash-warning","title":"Flash warning - BitstylesPhoenix.Component.Flash.ui_flash/1","type":"function"},{"doc":"iex> assigns = %{}\n    iex> render(~H\"\"\"\n    ...>    \n    ...>     Saving failed\n    ...>    \n    ...> \"\"\")\n    \"\"\"\n     \n       \n        Saving failed\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Flash.html#ui_flash/1-flash-danger","title":"Flash danger - BitstylesPhoenix.Component.Flash.ui_flash/1","type":"function"},{"doc":"iex> assigns = %{}\n    iex> render(~H\"\"\"\n    ...>    \n    ...>     Saving failed\n    ...>    \n    ...> \"\"\")\n    \"\"\"\n     \n       \n        Saving failed\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Flash.html#ui_flash/1-flash-with-full-content","title":"Flash with full content - BitstylesPhoenix.Component.Flash.ui_flash/1","type":"function"},{"doc":"iex> assigns = %{}\n    iex> render(~H\"\"\"\n    ...>    \n    ...>     Saving failed\n    ...>    \n    ...> \"\"\")\n    \"\"\"\n     \n       \n        Saving failed\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Flash.html#ui_flash/1-custom-attributes-and-classes","title":"Custom attributes and classes - BitstylesPhoenix.Component.Flash.ui_flash/1","type":"function"},{"doc":"Components for rendering input elements.","ref":"BitstylesPhoenix.Component.Form.html","title":"BitstylesPhoenix.Component.Form","type":"module"},{"doc":"All helpers in this module accept the following attributes.\n\n- `form` *(required)* - The form to render the input form.\n- `field` *(required)* - The name of the field for the input.\n- `label` - The text to be used as label. Defaults to `Phoenix.HTML.Form.humanize/1`.\n- `label_opts` - The options passed to the label element generated with `Phoenix.HTML.Form.label/4`.\n\nSee `Phoenix.HTML.Form.form_for/4` or LiveView `form` component for details on how to render a form.","ref":"BitstylesPhoenix.Component.Form.html#module-common-attributes","title":"Common attributes - BitstylesPhoenix.Component.Form","type":"module"},{"doc":"Renders various types of ` ` element, with the associated ` `s, and any errors for that field.","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1","title":"BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"- `type` - The type of the input (see table below for available types). Defaults to `type=\"text\"`.\n- `hidden_label` - Only show the label for screen readers if set to `true`.\n- All options from above (see top level module doc).\n- All other attributes will be passed in as input options to the underlying input\n  helpers from `Phoenix.HTML.Form` (see table below for used helpers).\n  Defaults to `maxlength=\"255\"` for `email`, `text` and `password` type.\n  Set maxlength to `false` to prevent setting maxlength.\n\nFor reference which input helper is used check out the following mapping:\n\n| type | Helper |\n| :--: | ------ |\n| `:checkbox` | `Phoenix.HTML.Form.checkbox/3` |\n| `:color` | `Phoenix.HTML.Form.color_input/3` |\n| `:date` | `Phoenix.HTML.Form.date_input/3` |\n| `:datetime_local` | `Phoenix.HTML.Form.datetime_local_input/3` |\n| `:email` | `Phoenix.HTML.Form.email_input/3` |\n| `:file` | `Phoenix.HTML.Form.file_input/3` |\n| `:number` | `Phoenix.HTML.Form.number_input/3` |\n| `:password` | `Phoenix.HTML.Form.password_input/3` |\n| `:range` | `Phoenix.HTML.Form.range_input/3` |\n| `:search` | `Phoenix.HTML.Form.search_input/3` |\n| `:telephone` | `Phoenix.HTML.Form.telephone_input/3` |\n| `:text` | `Phoenix.HTML.Form.text_input/3` |\n| `:time` | `Phoenix.HTML.Form.time_input/3` |\n| `:url` | `Phoenix.HTML.Form.url_input/3` |\n\n\nSee the [bitstyles form docs](https://bitcrowd.github.io/bitstyles/?path=/docs/base-forms--fieldset) for examples of inputs, selects, textareas, labels etc. in use.\nSee the [bitstyles form docs](https://bitcrowd.github.io/bitstyles/?path=/docs/ui-data-forms--login-form) for examples of form layouts.","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Name\n     \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1-text-field-with-label","title":"Text field with label - BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Name\n       \n        *\n       \n     \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1-text-required-field-with-label","title":"Text required field with label - BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form_with_errors}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Name\n     \n     \n     \n      is too short\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1-text-field-with-error","title":"Text field with error - BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form_with_errors}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Email\n     \n     \n     \n       \n         \n          is invalid\n         \n       \n       \n         \n          must end with @bitcrowd.net\n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1-text-field-with-multiple-errors","title":"Text field with multiple errors - BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Name\n     \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1-text-field-with-hidden-label","title":"Text field with hidden label - BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Name\n     \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1-text-field-with-label-without-maxlength","title":"Text field with label (without maxlength) - BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>     form={@form}\n    ...>   field={:totp}\n    ...>   label=\"Authentication code\"\n    ...>   label_opts={[class: \"extra\"]}\n    ...>   placeholder=\"6-digit code\"\n    ...>   required={true}\n    ...>   value=\"\"\n    ...>   inputmode=\"numeric\"\n    ...>   pattern=\"[0-9]*\"\n    ...>   autocomplete=\"one-time-code\"\n    ...>   maxlength={6} />\n    ...> \"\"\"\n    \"\"\"\n     \n      Authentication code\n       \n        *\n       \n     \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1-text-field-with-options","title":"Text field with options - BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Email\n     \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1-email-field-with-label","title":"Email field with label - BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>      form={@form}\n    ...>    field={:email_or_name}\n    ...>    type={:search}\n    ...>    placeholder=\"Search by email or name\"\n    ...>    autofocus={true} />\n    ...> \"\"\"\n    \"\"\"\n     \n      Email or name\n     \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1-search-field-with-placholder","title":"Search field with placholder - BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n        File\n       \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1-file-field-for-pdfs","title":"File field for pdfs - BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n       \n      Accept\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1-checkbox","title":"Checkbox - BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n       \n      Accept\n       \n        *\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1-checkbox-required","title":"Checkbox required - BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n       \n      Accept\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_input/1-checkbox-with-label-class","title":"Checkbox with label class - BitstylesPhoenix.Component.Form.ui_input/1","type":"function"},{"doc":"Renders a ` ` element, with a ` ` and any errors for that field.","ref":"BitstylesPhoenix.Component.Form.html#ui_select/1","title":"BitstylesPhoenix.Component.Form.ui_select/1","type":"function"},{"doc":"- `hidden_label` - Only show the label for screen readers if set to `true`.\n- `options` - The options passed to `Phoenix.HTML.Form.select/4`.\n- All options from above (see top level module doc).\n- All other attributes will be passed in as input options to `Phoenix.HTML.Form.select/4`.\n\nSee the [bitstyles select docs](https://bitcrowd.github.io/bitstyles/?path=/docs/base-forms--select-and-label) for examples of textareas and labels in use.","ref":"BitstylesPhoenix.Component.Form.html#ui_select/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Form.ui_select/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Week\n     \n     \n       \n        1\n       \n       \n        2\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_select/1-select-box","title":"Select box - BitstylesPhoenix.Component.Form.ui_select/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Week\n       \n        *\n       \n     \n     \n       \n        1\n       \n       \n        2\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_select/1-select-box-required","title":"Select box required - BitstylesPhoenix.Component.Form.ui_select/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Week\n     \n     \n       \n        1\n       \n       \n        2\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_select/1-select-box-without-label","title":"Select box without label - BitstylesPhoenix.Component.Form.ui_select/1","type":"function"},{"doc":"iex> assigns=%{form: @form, options: [{\"Ducks\", \"ducks\"}, {\"Cats\", \"cats\"}]}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      What do you like best?\n     \n     \n       \n        Ducks\n       \n       \n        Cats\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_select/1-select-box-with-options","title":"Select box with options - BitstylesPhoenix.Component.Form.ui_select/1","type":"function"},{"doc":"Renders ` ` elements, with the associated ` `s, and any errors for that field.","ref":"BitstylesPhoenix.Component.Form.html#ui_textarea/1","title":"BitstylesPhoenix.Component.Form.ui_textarea/1","type":"function"},{"doc":"- `hidden_label` - Only show the label for screen readers if set to `true`.\n- All options from above (see top level module doc).\n- All other attributes will be passed in as input options to `Phoenix.HTML.Form.textarea/3`.\n\nSee the [bitstyles textarea docs](https://bitcrowd.github.io/bitstyles/?path=/docs/base-forms--textarea-and-label) for examples of textareas and labels in use.","ref":"BitstylesPhoenix.Component.Form.html#ui_textarea/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Form.ui_textarea/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      About me\n     \n     \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_textarea/1-textarea","title":"Textarea - BitstylesPhoenix.Component.Form.ui_textarea/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      About me\n       \n        *\n       \n     \n     \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_textarea/1-textarea","title":"Textarea - BitstylesPhoenix.Component.Form.ui_textarea/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>     form={@form}\n    ...>   field={:metadata}\n    ...>   label=\"Metadata\"\n    ...>   label_opts={[class: \"extra\"]}\n    ...>   value=\"Value here\"\n    ...>   rows={10}\n    ...> />\n    ...> \"\"\"\n    \"\"\"\n     \n      Metadata\n     \n     \n      Value here\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_textarea/1-textarea-with-options","title":"Textarea with options - BitstylesPhoenix.Component.Form.ui_textarea/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Address\n     \n     \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_textarea/1-textarea-with-hidden-label","title":"Textarea with hidden label - BitstylesPhoenix.Component.Form.ui_textarea/1","type":"function"},{"doc":"iex> assigns=%{form: @form_with_errors}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Name\n     \n     \n     \n     \n      is too short\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_textarea/1-textarea-with-error","title":"Textarea with error - BitstylesPhoenix.Component.Form.ui_textarea/1","type":"function"},{"doc":"Component for rendering custom inputs together with a label and errors.","ref":"BitstylesPhoenix.Component.Form.html#ui_unwrapped_input/1","title":"BitstylesPhoenix.Component.Form.ui_unwrapped_input/1","type":"function"},{"doc":"- `hidden_label` - Only show the label for screen readers if set to `true`.\n- All options from above (see top level module doc).","ref":"BitstylesPhoenix.Component.Form.html#ui_unwrapped_input/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Form.ui_unwrapped_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form_with_errors}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Custom content\n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n      Custom\n     \n    Custom content\n     \n     \n      is too short\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_unwrapped_input/1-custom-inputs","title":"Custom inputs - BitstylesPhoenix.Component.Form.ui_unwrapped_input/1","type":"function"},{"doc":"Component for rendering custom wrapped inputs in a label and with errors.","ref":"BitstylesPhoenix.Component.Form.html#ui_wrapped_input/1","title":"BitstylesPhoenix.Component.Form.ui_wrapped_input/1","type":"function"},{"doc":"- All options from above (see top level module doc).","ref":"BitstylesPhoenix.Component.Form.html#ui_wrapped_input/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Form.ui_wrapped_input/1","type":"function"},{"doc":"iex> assigns=%{form: @form}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n      Current name\n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Form.html#ui_wrapped_input/1-custom-wrapped-inputs","title":"Custom wrapped inputs - BitstylesPhoenix.Component.Form.ui_wrapped_input/1","type":"function"},{"doc":"Components for building headings.","ref":"BitstylesPhoenix.Component.Heading.html","title":"BitstylesPhoenix.Component.Heading","type":"module"},{"doc":"Render a page header with a ` ` title and an optional `title_extra` and some `action` slots\nfor that page (usually combined with buttons and dropdowns).","ref":"BitstylesPhoenix.Component.Heading.html#ui_page_title/1","title":"BitstylesPhoenix.Component.Heading.ui_page_title/1","type":"function"},{"doc":"- `class` - Set CSS classes on the outer div.\n- All other attributes are passed to the outer `div` tag.","ref":"BitstylesPhoenix.Component.Heading.html#ui_page_title/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Heading.ui_page_title/1","type":"function"},{"doc":"- `class` - Set CSS classes on the surrounding div.\n- All other attributes are passed to the outer `div` tag.","ref":"BitstylesPhoenix.Component.Heading.html#ui_page_title/1-attributes-title_extra-slot","title":"Attributes - `title_extra` slot - BitstylesPhoenix.Component.Heading.ui_page_title/1","type":"function"},{"doc":"- `class` - Set CSS classes on the surrounding `li`.\n- `show` - If the action should be rendered. Defaults to `true`.\n- All other attributes are passed to the outer `li` tag.\n\nSee [the page header docs](https://bitcrowd.github.io/bitstyles/?path=/docs/ui-content-page-header--page-header)\nfor more examples and details.","ref":"BitstylesPhoenix.Component.Heading.html#ui_page_title/1-attributes-action-slots","title":"Attributes - `action` slots - BitstylesPhoenix.Component.Heading.ui_page_title/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Title\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Title\n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Heading.html#ui_page_title/1-page-title","title":"Page title - BitstylesPhoenix.Component.Heading.ui_page_title/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Title\n    ...>    \n    ...>      Published \n    ...>    \n    ...>    \n    ...>      Edit \n    ...>    \n    ...>    \n    ...>      Delete \n    ...>    \n    ...>    \n    ...>      Hide me \n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Title\n         \n         \n           \n            Published\n           \n         \n       \n       \n         \n           \n            Edit\n           \n         \n         \n           \n            Delete\n           \n         \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Component.Heading.html#ui_page_title/1-page-title-with-actions-and-title-extra","title":"Page title with actions and title extra - BitstylesPhoenix.Component.Heading.ui_page_title/1","type":"function"},{"doc":"Render a section header with optional `action`s and `title_extra`.","ref":"BitstylesPhoenix.Component.Heading.html#ui_section_title/1","title":"BitstylesPhoenix.Component.Heading.ui_section_title/1","type":"function"},{"doc":"- `class` - Set CSS classes on the outer div.\n- `border` - Controls the bottom border and padding (default: true, boolean)\n- `border_color` - The border color, defaults to `gray-10` resulting in `u-border-gray-10-bottom`.\n- `tag` - the heading tag (defaults to h3)\n- `heading_class` - Extra classes on the heading\n- All other attributes are passed to the outer `div` tag.","ref":"BitstylesPhoenix.Component.Heading.html#ui_section_title/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Heading.ui_section_title/1","type":"function"},{"doc":"- `class` - Set CSS classes on the surrounding div.\n- All other attributes are passed to the outer `div` tag.","ref":"BitstylesPhoenix.Component.Heading.html#ui_section_title/1-attributes-title_extra-slot","title":"Attributes - `title_extra` slot - BitstylesPhoenix.Component.Heading.ui_section_title/1","type":"function"},{"doc":"- `class` - Set CSS classes on the surrounding `li`.\n- `show` - If the action should be rendered. Defaults to `true`.\n- All other attributes are passed to the outer `li` tag.","ref":"BitstylesPhoenix.Component.Heading.html#ui_section_title/1-attributes-action-slots","title":"Attributes - `action` slots - BitstylesPhoenix.Component.Heading.ui_section_title/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Section title\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Section title\n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Heading.html#ui_section_title/1-section-title-with-default-border","title":"Section title with default border - BitstylesPhoenix.Component.Heading.ui_section_title/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Section title\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Section title\n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Heading.html#ui_section_title/1-section-title-without-border-and-h2","title":"Section title without border and h2 - BitstylesPhoenix.Component.Heading.ui_section_title/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Section title\n    ...>    \n    ...>      Published \n    ...>    \n    ...>    \n    ...>      Edit \n    ...>    \n    ...>    \n    ...>      Delete \n    ...>    \n    ...>    \n    ...>      Hide me \n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Section title\n         \n         \n          Published\n         \n       \n       \n         \n           \n            Edit\n           \n         \n         \n           \n            Delete\n           \n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Heading.html#ui_section_title/1-section-title-with-actions-and-title-extra-and-different-border","title":"Section title with actions and title extra and different border - BitstylesPhoenix.Component.Heading.ui_section_title/1","type":"function"},{"doc":"An SVG icon system, that expects the icons to be present on the page, rendered as SVG ` `s.","ref":"BitstylesPhoenix.Component.Icon.html","title":"BitstylesPhoenix.Component.Icon","type":"module"},{"doc":"Renders an icon element.\n\nThis uses `BitstylesPhoenix.Component.UseSVG` to render an icon either inlined in the page or\nreferenced in an external SVG file. Icons are assumed to have an id prefixed with `icon-` followed\nby the name of the icon, which is used to reference the icon.","ref":"BitstylesPhoenix.Component.Icon.html#ui_icon/1","title":"BitstylesPhoenix.Component.Icon.ui_icon/1","type":"function"},{"doc":"- `name` *(required)* - The name of the icon. Assumes icons are prefixed with `icon-`.\n- `size` - Specify the icon size to use. Available sizes are specified in CSS, and default to `s`, `m`, `l`, `xl`. If you do not specify a size, the icon will fit into a `1em` square.\n- `file` - To be set if icons should be loaded from an external resource (see `BitstylesPhoenix.Component.UseSVG.ui_svg/1`).\n  This can also be configured to a default `icon_file`, see `BitstylesPhoenix` for config options. With the configuration present, inline icons can still be rendered with `file={nil}`.\n- `class` - Extra classes to pass to the svg. See `BitstylesPhoenix.Helper.classnames/1` for usage.\n\nSee the [bitstyles icon docs](https://bitcrowd.github.io/bitstyles/?path=/docs/atoms-icon) for examples of icon usage, and available icons in the [bitstyles icon set](https://bitcrowd.github.io/bitstyles/?path=/docs/ui-data-icons).","ref":"BitstylesPhoenix.Component.Icon.html#ui_icon/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Icon.ui_icon/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Component.Icon.html#ui_icon/1-an-icon-from-inline-svg","title":"An icon (from inline svg) - BitstylesPhoenix.Component.Icon.ui_icon/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Icon.html#ui_icon/1-an-icon-with-a-size","title":"An icon with a size - BitstylesPhoenix.Component.Icon.ui_icon/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Icon.html#ui_icon/1-an-icon-with-extra-options","title":"An icon with extra options - BitstylesPhoenix.Component.Icon.ui_icon/1","type":"function"},{"doc":"The Modal component.","ref":"BitstylesPhoenix.Component.Modal.html","title":"BitstylesPhoenix.Component.Modal","type":"module"},{"doc":"Renders a modal. Optionally can have an `overlay` slot with or without content, to change the overlay div.\nAdditionally the modal can implement a `content` slot to change the content wrapper.\nIf a content slot is passed, then the content of that slot is rendered as inner content of the modal, otherwise\nas a shortcut, the inner_block of the component is used.","ref":"BitstylesPhoenix.Component.Modal.html#ui_modal/1","title":"BitstylesPhoenix.Component.Modal.ui_modal/1","type":"function"},{"doc":"- `class` - Extra classes to pass to the modal. See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed to the underlying `ui_content/1` component.\n\n# Attributes - `overlay` slot\n\n- `class` - Extra classes to pass to the `main` tag.\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed on to the main tag.\n\n# Attributes - `content` slot\n\n- `class` - Extra classes to pass to the `main` tag.\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed on to the main tag.\n\n\nSee [bitstyles content docs](https://bitcrowd.github.io/bitstyles/?path=/docs/ui-modal--informational-modal) for examples, and for the default variants available.","ref":"BitstylesPhoenix.Component.Modal.html#ui_modal/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Modal.ui_modal/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Content\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n       \n       \n        Content\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Modal.html#ui_modal/1-default-modal","title":"Default modal - BitstylesPhoenix.Component.Modal.ui_modal/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    \n    ...>     Content\n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n       \n       \n        Content\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Modal.html#ui_modal/1-small-modal","title":"Small modal - BitstylesPhoenix.Component.Modal.ui_modal/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    \n    ...>   Content\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n       \n       \n        Content\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Modal.html#ui_modal/1-small-modal-with-extra-overlay","title":"Small modal with extra overlay - BitstylesPhoenix.Component.Modal.ui_modal/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    \n    ...>      Overlay content \n    ...>    \n    ...>   Content\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Overlay content\n         \n       \n       \n        Content\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Modal.html#ui_modal/1-small-modal-with-extra-overlay-content","title":"Small modal with extra overlay content - BitstylesPhoenix.Component.Modal.ui_modal/1","type":"function"},{"doc":"The sidebar component without any JS.","ref":"BitstylesPhoenix.Component.Sidebar.html","title":"BitstylesPhoenix.Component.Sidebar","type":"module"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    Large header \n    ...>    Small header \n    ...>    \n    ...>      \n    ...>       Menu\n    ...>      \n    ...>      \n    ...>         Menu item #1  \n    ...>         Menu item #2  \n    ...>      \n    ...>      \n    ...>        \n    ...>          \n    ...>            \n    ...>              \n    ...>            \n    ...>            Jane Dobermann \n    ...>          \n    ...>          \n    ...>            Logout \n    ...>          \n    ...>        \n    ...>      \n    ...>    \n    ...>   Main Content\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n           \n            Large header\n             \n              Menu\n             \n             \n               \n                 \n                  Menu item #1\n                 \n               \n               \n                 \n                  Menu item #2\n                 \n               \n             \n             \n               \n                 \n                   \n                     \n                   \n                   \n                    Jane Dobermann\n                   \n                 \n                 \n                   \n                     \n                      Logout\n                     \n                   \n                 \n               \n             \n           \n           \n            Small header\n             \n              Menu\n             \n             \n               \n                 \n                  Menu item #1\n                 \n               \n               \n                 \n                  Menu item #2\n                 \n               \n             \n             \n               \n                 \n                   \n                     \n                   \n                   \n                    Jane Dobermann\n                   \n                 \n                 \n                   \n                     \n                      Logout\n                     \n                   \n                 \n               \n             \n           \n         \n       \n       \n        Main Content\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Sidebar.html#module-sidebar-with-items","title":"Sidebar with items - BitstylesPhoenix.Component.Sidebar","type":"module"},{"doc":"Renders a sidebar component.\n\n*In order for the sidebar to be collapsible in small screens, you need to provide extra JS attributes.*","ref":"BitstylesPhoenix.Component.Sidebar.html#ui_sidebar_layout/1","title":"BitstylesPhoenix.Component.Sidebar.ui_sidebar_layout/1","type":"function"},{"doc":"- `class` - Extra classes to pass to the outer `div`\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed on to the outer `div`\n\nThe sidebar comes with 4 slots:\n  - `large_sidebar` - Content that is only shown on large screens in the sidebar\n  - `small_sidebar` - Content that is only shown on small screens in the sidebar\n  - `sidebar_content` - Content that is shown on all screens in the sidebar\n  - `main` - The main content of the page (next to the sidebar)\n\nInstead of the `main` slot you can also just use the inner content of the sidebar, but the slot\nis valuable if you want to provide extra attributes on the `main` tag.\nThe `large_siebar` and `small_sidebar` slots are displayed before the `sidebar_content` in the layout,\nsince typically they host the logo/header/brand name, while the main navigation is hosted in the\n`sidebar_content` slot and shown on all screens. The reason for this separation is that the sidebar\nin the small screen is meant to start out hidden and only be shown when needed and therefore needs\ncontrol buttons to close it again (ususally at the top of the screen).\nIf you have different requirements you can simply omit the `sidebar_content` block and render the\nshared content twice yourself.\n\n# Attributes - `small_sidebar` slot\n\n- `class` - Extra classes to pass to the div containing the small sidebar\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- `fg` - The forground color class for the text. Defaults to `gray-30` resulting in `fg-gray-30`.\n- `bg` - The background color class for the sidebar. Defaults to `gray-80` resulting in `fg-gray-80`.\n- All other attributes are passed on to the small sidebar `div`\n\n# Attributes - `large_sidebar` slot\n\n- `class` - Extra classes to pass to the div containing the large sidebar\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- `fg` - The forground color class for the text. Defaults to `gray-30` resulting in `fg-gray-30`.\n- `bg` - The background color class for the sidebar. Defaults to `gray-80` resulting in `fg-gray-80`.\n- All other attributes are passed on to the large sidebar `div`\n\n# Attributes - `sidebar_content` slot\n\n- `class` - Extra classes to pass to the div containing the large and small sidebar\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed on to the large and small sidebar `div`s\n\n# Attributes - `main` slot\n\n- `class` - Extra classes to pass to the `main` tag.\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed on to the main tag.\n\nSee the [bitstyles sidebar docs](https://bitcrowd.github.io/bitstyles/?path=/docs/ui-navigation-sidebar--sidebar) for more examples.","ref":"BitstylesPhoenix.Component.Sidebar.html#ui_sidebar_layout/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Sidebar.ui_sidebar_layout/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    Large header \n    ...>    Small header \n    ...>     Sidebar  \n    ...>    Main Content \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n           \n            Large header\n             \n              Sidebar\n             \n           \n           \n            Small header\n             \n              Sidebar\n             \n           \n         \n       \n       \n        Main Content\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Sidebar.html#ui_sidebar_layout/1-bare-sidebar","title":"Bare sidebar - BitstylesPhoenix.Component.Sidebar.ui_sidebar_layout/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>   Main Content\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n           \n           \n           \n           \n         \n       \n       \n        Main Content\n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Sidebar.html#ui_sidebar_layout/1-all-slots-are-optional","title":"All slots are optional - BitstylesPhoenix.Component.Sidebar.ui_sidebar_layout/1","type":"function"},{"doc":"A navigation menu for usage in the sidebar.","ref":"BitstylesPhoenix.Component.Sidebar.html#ui_sidebar_nav/1","title":"BitstylesPhoenix.Component.Sidebar.ui_sidebar_nav/1","type":"function"},{"doc":"- `class` - Extra classes to pass to the outer `ul`\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- All other attributes are passed on to the outer `ul`\n\nYou can add items `ui_sidebar_nav_item/1` to add items to the navigation.","ref":"BitstylesPhoenix.Component.Sidebar.html#ui_sidebar_nav/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Sidebar.ui_sidebar_nav/1","type":"function"},{"doc":"A navigation menu item for usage in `ui_sidebar_nav/1`.","ref":"BitstylesPhoenix.Component.Sidebar.html#ui_sidebar_nav_item/1","title":"BitstylesPhoenix.Component.Sidebar.ui_sidebar_nav_item/1","type":"function"},{"doc":"- `class` - Extra classes to pass to the `li`\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n\nThe component is meant to be used with `ui_button` to add links here like showcased in the\ntop level module documentation.","ref":"BitstylesPhoenix.Component.Sidebar.html#ui_sidebar_nav_item/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Sidebar.ui_sidebar_nav_item/1","type":"function"},{"doc":"A navigation section with a bottom or top border.\nSee top level module doc for an example.","ref":"BitstylesPhoenix.Component.Sidebar.html#ui_sidebar_section/1","title":"BitstylesPhoenix.Component.Sidebar.ui_sidebar_section/1","type":"function"},{"doc":"- `class` - Extra classes to pass to the outer `div`\n  See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- `border` - Either `:top` or `:bottom` (optional)\n- `border_color` - The border color, defaults to `gray-70` resulting in\n   `u-border-gray-70-top` for a `:top` border.\n- All other attributes are passed on to the outer `div`","ref":"BitstylesPhoenix.Component.Sidebar.html#ui_sidebar_section/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Sidebar.ui_sidebar_section/1","type":"function"},{"doc":"The Tabs component.","ref":"BitstylesPhoenix.Component.Tabs.html","title":"BitstylesPhoenix.Component.Tabs","type":"module"},{"doc":"Rendering a tab button.\n\n- `active` - If set, sets `aria-selected` on the button (boolean).\n- All other attributes are passed to `BitstylesPhoenix.Component.Button.ui_button/1`.","ref":"BitstylesPhoenix.Component.Tabs.html#ui_tab_button/1","title":"BitstylesPhoenix.Component.Tabs.ui_tab_button/1","type":"function"},{"doc":"Render a tab navigation header, optionnally with selected tabs.","ref":"BitstylesPhoenix.Component.Tabs.html#ui_tabs/1","title":"BitstylesPhoenix.Component.Tabs.ui_tabs/1","type":"function"},{"doc":"- `variant` — Variant of the badge you want, from those available in the CSS classes e.g. `brand-1`, `danger`\n- `class` - Extra classes to pass to the badge. See `BitstylesPhoenix.Helper.classnames/1` for usage.\n- `active` - A value that represents the active tab. In order to be active, the tab has to have a `ref` attribute equal to this value.\n- All other attributes are passed to the `span` tag.","ref":"BitstylesPhoenix.Component.Tabs.html#ui_tabs/1-attributes","title":"Attributes - BitstylesPhoenix.Component.Tabs.ui_tabs/1","type":"function"},{"doc":"- `ref` - Sets the `active` attribute for the tab button if the parent `active` attribute matches it's value.\n- `show` - If the tab should be rendered. Defaults to `true`.\n- All other attributes are passed to `ui_tab_button/1`\n\nSee [bitstyles badge docs](https://bitcrowd.github.io/bitstyles/?path=/docs/atoms-badge--badge) for examples, and for the default variants available.","ref":"BitstylesPhoenix.Component.Tabs.html#ui_tabs/1-attributes-tab-slot","title":"Attributes - `tab` slot - BitstylesPhoenix.Component.Tabs.ui_tabs/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    Foo \n    ...>    Bar \n    ...>    Baz \n    ...>    Hidden \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Foo\n         \n       \n       \n         \n          Bar\n         \n       \n       \n         \n          Baz\n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Tabs.html#ui_tabs/1-tabs-without-active-tab","title":"Tabs without active tab - BitstylesPhoenix.Component.Tabs.ui_tabs/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    Foo \n    ...>    Bar \n    ...>    Baz \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Foo\n         \n       \n       \n         \n          Bar\n         \n       \n       \n         \n          Baz\n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Tabs.html#ui_tabs/1-tabs-with-active-attribute-references-string","title":"Tabs with active attribute references (string) - BitstylesPhoenix.Component.Tabs.ui_tabs/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    Foo \n    ...>    Bar \n    ...>    Baz \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Foo\n         \n       \n       \n         \n          Bar\n         \n       \n       \n         \n          Baz\n         \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.Tabs.html#ui_tabs/1-tabs-with-active-attribute-references-atom","title":"Tabs with active attribute references (atom) - BitstylesPhoenix.Component.Tabs.ui_tabs/1","type":"function"},{"doc":"Components for rendering SVGs.","ref":"BitstylesPhoenix.Component.UseSVG.html","title":"BitstylesPhoenix.Component.UseSVG","type":"module"},{"doc":"Renders an SVG tag with a `use` reference.","ref":"BitstylesPhoenix.Component.UseSVG.html#ui_svg/1","title":"BitstylesPhoenix.Component.UseSVG.ui_svg/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Component.UseSVG.html#ui_svg/1-a-referenced-svg-inlined-on-the-page","title":"A referenced SVG (inlined on the page) - BitstylesPhoenix.Component.UseSVG.ui_svg/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.UseSVG.html#ui_svg/1-a-referenced-svg-external-file","title":"A referenced SVG (external file) - BitstylesPhoenix.Component.UseSVG.ui_svg/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n       \n     \n    \"\"\"","ref":"BitstylesPhoenix.Component.UseSVG.html#ui_svg/1-a-referenced-svg-external-file-with-symbols","title":"A referenced SVG (external file with symbols) - BitstylesPhoenix.Component.UseSVG.ui_svg/1","type":"function"},{"doc":"Use this module to import all `BitstylesPhoenix.Live` components at once.\n```\nuse BitstylesPhoenix.Live\n```","ref":"BitstylesPhoenix.Live.html","title":"BitstylesPhoenix.Live","type":"module"},{"doc":"Components for rendering a drowdowns powered by LiveView commands.","ref":"BitstylesPhoenix.Live.Dropdown.html","title":"BitstylesPhoenix.Live.Dropdown","type":"module"},{"doc":"Renders a dropdown component with a button, a menu and options with JS commands.\n\nSupports all attributes and slots from `BitstylesPhoenix.Component.Dropdown.ui_dropdown`.","ref":"BitstylesPhoenix.Live.Dropdown.html#ui_js_dropdown/1","title":"BitstylesPhoenix.Live.Dropdown.ui_js_dropdown/1","type":"function"},{"doc":"Components for rendering a sidebar layout powered by LiveView commands.","ref":"BitstylesPhoenix.Live.Sidebar.html","title":"BitstylesPhoenix.Live.Sidebar","type":"module"},{"doc":"A sidebar close icon to be rendered on the open sidebar for closing the sidebar.","ref":"BitstylesPhoenix.Live.Sidebar.html#ui_js_sidebar_close/1","title":"BitstylesPhoenix.Live.Sidebar.ui_js_sidebar_close/1","type":"function"},{"doc":"- `label` - A screen reader label for the icon. Defaults to `\"Close\"`.\n- `sidebar` - The reference to the sidebar it controls. This will be the sidebar `id`.\n  The `ui_js_sidebar_layout/1` can provide this as a block argument in the small sidebar block.","ref":"BitstylesPhoenix.Live.Sidebar.html#ui_js_sidebar_close/1-attributes","title":"Attributes - BitstylesPhoenix.Live.Sidebar.ui_js_sidebar_close/1","type":"function"},{"doc":"Renders a sidebar layout with LiveView commands.\n\nSupports all attributes and slots from `BitstylesPhoenix.Component.Sidebar.ui_sidebar_layout/1`.\n\nThe `small_sidebar` and `main`/`inner` blocks will additionally provide a block argument\nwith the sidebar context for `ui_js_sidebar_open/1` and `ui_js_sidebar_close/1`.\n\nFor examles see `BitstylesPhoenix.Component.Sidebar.ui_sidebar_layout/1`.","ref":"BitstylesPhoenix.Live.Sidebar.html#ui_js_sidebar_layout/1","title":"BitstylesPhoenix.Live.Sidebar.ui_js_sidebar_layout/1","type":"function"},{"doc":"A sidebar open icon to be rendered on the main content for opening the sidebar.","ref":"BitstylesPhoenix.Live.Sidebar.html#ui_js_sidebar_open/1","title":"BitstylesPhoenix.Live.Sidebar.ui_js_sidebar_open/1","type":"function"},{"doc":"- `label` - A screen reader label for the icon. Defaults to `\"Open sidebar\"`.\n- `sidebar` - The reference to the sidebar it controls. This will be the sidebar `id`.\n  The `ui_js_sidebar_layout/1` can provide this as a block argument in the main or inner block.","ref":"BitstylesPhoenix.Live.Sidebar.html#ui_js_sidebar_open/1-attributes","title":"Attributes - BitstylesPhoenix.Live.Sidebar.ui_js_sidebar_open/1","type":"function"},{"doc":"Use this module to import all `BitstylesPhoenix.Alpine3` components at once.\n```\nuse BitstylesPhoenix.Alpine\n```","ref":"BitstylesPhoenix.Alpine3.html","title":"BitstylesPhoenix.Alpine3","type":"module"},{"doc":"Components for rendering a dropdown menu powered by Alpine 3.","ref":"BitstylesPhoenix.Alpine3.Dropdown.html","title":"BitstylesPhoenix.Alpine3.Dropdown","type":"module"},{"doc":"Renders a dropdown component with a button, a menu and options with Alpine3.\n\nSupports all attributes and slots from `BitstylesPhoenix.Component.Dropdown.ui_dropdown`.","ref":"BitstylesPhoenix.Alpine3.Dropdown.html#ui_js_dropdown/1","title":"BitstylesPhoenix.Alpine3.Dropdown.ui_js_dropdown/1","type":"function"},{"doc":"- `x_name` - The name of the boolean x-data property for alpine to store the menu state.\n  Defaults to `dropdownOpen`.","ref":"BitstylesPhoenix.Alpine3.Dropdown.html#ui_js_dropdown/1-attributes","title":"Attributes - BitstylesPhoenix.Alpine3.Dropdown.ui_js_dropdown/1","type":"function"},{"doc":"The dropdown sets the `x-cloak` property on the menu to avoid flickering on initial page load.\nTo make this work, you need to add the following snippet to your stylesheets:\n\n   [x-cloak] { display: none !important; }\n\nSee https://alpinejs.dev/directives/cloak for more information on `x-cloak`.","ref":"BitstylesPhoenix.Alpine3.Dropdown.html#ui_js_dropdown/1-prevent-page-flickering","title":"Prevent page-flickering - BitstylesPhoenix.Alpine3.Dropdown.ui_js_dropdown/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    \n    ...>    \n    ...>      \n    ...>       Option 1\n    ...>      \n    ...>      \n    ...>       Option 2\n    ...>      \n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Select me\n         \n         \n           \n           \n         \n       \n       \n         \n           \n            Option 1\n           \n         \n         \n           \n            Option 2\n           \n         \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n  \n \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Alpine3.Dropdown.html#ui_js_dropdown/1-dropdown-with-alpine","title":"Dropdown with alpine - BitstylesPhoenix.Alpine3.Dropdown.ui_js_dropdown/1","type":"function"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    \n    ...>    \n    ...>      \n    ...>       Option 1\n    ...>      \n    ...>      \n    ...>       Option 2\n    ...>      \n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n          Select me\n         \n         \n           \n           \n         \n       \n       \n         \n           \n            Option 1\n           \n         \n         \n           \n            Option 2\n           \n         \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n  \n\n```","ref":"BitstylesPhoenix.Alpine3.Dropdown.html#ui_js_dropdown/1-custom-x-data-name-and-icon-file","title":"Custom x-data name and icon file - BitstylesPhoenix.Alpine3.Dropdown.ui_js_dropdown/1","type":"function"},{"doc":"Components for rendering a sidebar layout powered by Alpine 3.","ref":"BitstylesPhoenix.Alpine3.Sidebar.html","title":"BitstylesPhoenix.Alpine3.Sidebar","type":"module"},{"doc":"iex> assigns = %{}\n    ...> render ~H\"\"\"\n    ...>  \n    ...>    \n    ...>      \n    ...>        \n    ...>        \n    ...>         bitcrowd\n    ...>        \n    ...>      \n    ...>    \n    ...>    \n    ...>      \n    ...>        \n    ...>          \n    ...>          bitcrowd \n    ...>        \n    ...>        \n    ...>          \n    ...>        \n    ...>      \n    ...>    \n    ...>    \n    ...>      \n    ...>         Menu item #1  \n    ...>         Menu item #2  \n    ...>      \n    ...>    \n    ...>    \n    ...>      \n    ...>        \n    ...>       Main Content\n    ...>      \n    ...>    \n    ...>  \n    ...> \"\"\"\n    \"\"\"\n     \n       \n         \n           \n             \n               \n               \n                bitcrowd\n               \n             \n             \n               \n                 \n                  Menu item #1\n                 \n               \n               \n                 \n                  Menu item #2\n                 \n               \n             \n           \n           \n             \n               \n                 \n                 \n                  bitcrowd\n                 \n               \n               \n                 \n                   \n                     \n                     \n                   \n                   \n                    Close\n                   \n                 \n               \n             \n             \n               \n                 \n                  Menu item #1\n                 \n               \n               \n                 \n                  Menu item #2\n                 \n               \n             \n           \n         \n       \n       \n         \n           \n             \n               \n               \n             \n             \n              Open sidebar\n             \n           \n          Main Content\n         \n       \n     \n    \"\"\"\n\n*Requires additional content on the page:*\n\n```\n  \n \n   \n     \n   \n   \n     \n   \n \n\n```","ref":"BitstylesPhoenix.Alpine3.Sidebar.html#module-full-example","title":"Full example - BitstylesPhoenix.Alpine3.Sidebar","type":"module"},{"doc":"A sidebar close icon to be rendered on the open sidebar for closing the sidebar.\nFor examles see `ui_js_sidebar_layout/1`.","ref":"BitstylesPhoenix.Alpine3.Sidebar.html#ui_js_sidebar_close/1","title":"BitstylesPhoenix.Alpine3.Sidebar.ui_js_sidebar_close/1","type":"function"},{"doc":"- `label` - A screen reader label for the icon. Defaults to `\"Close\"`.\n- `sidebar` - The reference to the sidebar it controls. This is a tuple with the sidebar's `x_name` and the sidebars `id`.\n  The `ui_js_sidebar_layout/1` can provide this as a block argument in the small sidebar block.","ref":"BitstylesPhoenix.Alpine3.Sidebar.html#ui_js_sidebar_close/1-attributes","title":"Attributes - BitstylesPhoenix.Alpine3.Sidebar.ui_js_sidebar_close/1","type":"function"},{"doc":"Renders a sidebar layout with Alpine3.\n\nSupports all attributes and slots from `BitstylesPhoenix.Component.Sidebar.ui_sidebar_layout/1`.","ref":"BitstylesPhoenix.Alpine3.Sidebar.html#ui_js_sidebar_layout/1","title":"BitstylesPhoenix.Alpine3.Sidebar.ui_js_sidebar_layout/1","type":"function"},{"doc":"- `x_name` - The name of the boolean x-data property for alpine to store the menu state.\n  Defaults to `\"sidebarOpen\"`.\n\nThe `small_sidebar` and `main`/`inner` blocks will additionally provide a block argument\nwith the sidebar context for `ui_js_sidebar_open/1` and `ui_js_sidebar_close/1`.","ref":"BitstylesPhoenix.Alpine3.Sidebar.html#ui_js_sidebar_layout/1-attributes","title":"Attributes - BitstylesPhoenix.Alpine3.Sidebar.ui_js_sidebar_layout/1","type":"function"},{"doc":"The sidebar small layout sets the `x-cloak` property on the menu to avoid flickering on initial page load.\nTo make this work, you need to add the following snippet to your stylesheets:\n\n   [x-cloak] { display: none !important; }\n\nSee https://alpinejs.dev/directives/cloak for more information on `x-cloak`.","ref":"BitstylesPhoenix.Alpine3.Sidebar.html#ui_js_sidebar_layout/1-prevent-page-flickering","title":"Prevent page-flickering - BitstylesPhoenix.Alpine3.Sidebar.ui_js_sidebar_layout/1","type":"function"},{"doc":"A sidebar open icon to be rendered on the main content for opening the sidebar.\nFor examles see `ui_js_sidebar_layout/1`.","ref":"BitstylesPhoenix.Alpine3.Sidebar.html#ui_js_sidebar_open/1","title":"BitstylesPhoenix.Alpine3.Sidebar.ui_js_sidebar_open/1","type":"function"},{"doc":"- `label` - A screen reader label for the icon. Defaults to `\"Open sidebar\"`.\n- `sidebar` - The reference to the sidebar it controls. This is a tuple with the sidebar's `x_name` and the sidebars `id`.\n  The `ui_js_sidebar_layout/1` can provide this as a block argument in the main or inner block.","ref":"BitstylesPhoenix.Alpine3.Sidebar.html#ui_js_sidebar_open/1-attributes","title":"Attributes - BitstylesPhoenix.Alpine3.Sidebar.ui_js_sidebar_open/1","type":"function"},{"doc":"# Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"- Bump LiveView","ref":"changelog.html#v2-3-1-2023-10-23","title":"v2.3.1 - 2023-10-23 - Changelog","type":"extras"},{"doc":"- Add `Modal` component","ref":"changelog.html#v2-3-0-2023-05-15","title":"v2.3.0 - 2023-05-15 - Changelog","type":"extras"},{"doc":"- Updated to LiveView 0.18.18\n- Add `Card` and `Avatar` components","ref":"changelog.html#v2-2-0-2023-03-20","title":"v2.2.0 - 2023-03-20 - Changelog","type":"extras"},{"doc":"- Fixed version backwards compatibility","ref":"changelog.html#v2-1-1-2022-12-02","title":"v2.1.1 - 2022-12-02 - Changelog","type":"extras"},{"doc":"#","ref":"changelog.html#v2-1-0-2022-12-02","title":"v2.1.0 - 2022-12-02 - Changelog","type":"extras"},{"doc":"- Add `heading_class` option to `ui_section_title` to set classes on the heading\n- `ui_dl_items` now aligns the items to the baseline (following the Bitstyles examples)\n- Updated to bitstyles `v4.3.0`. \n\n#","ref":"changelog.html#changed","title":"Changed - Changelog","type":"extras"},{"doc":"- Inputs now render a required label *. This can be configured via `required_label` config. If you do not want this new behaviour, define an empty component as required label.\n\n#","ref":"changelog.html#added","title":"Added - Changelog","type":"extras"},{"doc":"- When `ui_button` is disabled it always renders a button now instead of a link with a disabled property. In most cases this should be fine, but it could break e2e tests that check for links or similar things.","ref":"changelog.html#breaking","title":"Breaking - Changelog","type":"extras"},{"doc":"Since there is quite some changes in liveview 0.18.0 mainly about link helpers this breaks with the existing API for the `ui_button` and\n`ui_icon_button` components quite a lot. Since the underlying phoenix helper for generating links is now available as component as well,\nthe support for the `ui_button` as helper is dropped completely in favor of components.\n\n#","ref":"changelog.html#v2-0-0-2022-11-12","title":"v2.0.0 - 2022-11-12 - Changelog","type":"extras"},{"doc":"- Updated to LiveView 0.18.X\n- Removed BitstylesPhoenix.Helpers.Button\n  - Removed `ui_button/2` helper\n    -> Use the `ui_button` component\n  - Removed `ui_icon_button/3` helper\n    -> Use the `ui_icon_button` component\n- `ui_button` component now acts as a wrapper for Phoenix.Component.link\n  - Removed `link_fn` on `ui_button` component, since it's main use-case is now deprecated.\n\n#","ref":"changelog.html#breaking","title":"Breaking - Changelog","type":"extras"},{"doc":"- Upgrade to LiveView > 0.18\n` ` => ` some label `\n` some label ` => ` some label `\n` some label ` => ` some label `\n` some label ` => ` some label `\n` ` => ` some label `\n...","ref":"changelog.html#how-to-update","title":"How to update: - Changelog","type":"extras"},{"doc":"This version breaks with the existing API quite a lot 🔥, since we changed the library to take advantage of the recent develpments in Phoenix and LiveView.\n\n#","ref":"changelog.html#v1-0-0-2022-01-04","title":"v1.0.0 - 2022-01-04 - Changelog","type":"extras"},{"doc":"All `ui_*` component helpers are now instead [HEEx function components](https://hexdocs.pm/phoenix/views.html#html-components). They will expect the options and arguments\nnow through component attributes. The only exception is `ui_button`, which still delegate to the link_helper given via `link_fn`, but is also available as component.\nIn order to migrate to the new components update to Phoenix 1.6.0 and LiveView 1.17.0 and change all templates from\n`*.html.eex` to `*.html.heex` to be able to use the new component syntax. After that you can change your previous `ui_*` helpers to use the new syntax:\n\n` ` => ` foo `\n\nIf you have contexts, where you do not want to use `heex` templates yet, you can call the functions via `Phoenix.LiveView.Helpers.component/2`.\n\nBelow is a list of changes that happened besides the componentization:\n\n- Renamed `ui_error_tag` to `ui_error`\n- `ui_input` dropped `datetime` input type (was not working anyways)\n- `ui_input` dropped `radio` input type (use `ui_unwrapped_input` with `radio_button` instead)\n- `ui_input` dropped `textarea` input type (use `ui_textarea` instead)\n- Removed `ui_time/2` without replacement for now\n- Removed `xclassnames/1`. Use `classnames/1` from the same module instead.\n- `classnames/1` now returns `false` instead of empty string when there is no class set.\n- Removed `BitstylesPhoenix.Components` module. Instead of `use BitstylesPhoenix.Components` do `use BitstylesPhoenix`.\n- Removed all `e2e_classname` options. Use `class` instead, which will trim the e2e classes by default (like before).\n- Changed `trim_e2e_classes` config. In order to migrate change the following\n  ```\n  config :bitstyles_phoenix, :trim_e2e_classes, false\n  ```\n  =>\n  ```\n  config :bitstyles_phoenix, :trim_e2e_classes, [enabled: false]\n  ```\n\n#","ref":"changelog.html#breaking","title":"Breaking - Changelog","type":"extras"},{"doc":"- All components now accept extra attributes that are passed on to the outermost parent attribute.\n- Config option to configure `classnames/1` prefixes to remove other prefixes than `e2e-` instead (e.g. `test-`).\n- Backwards compatibility option for different versions of `bitstyles` (see `bitstyles_version` config option)\n- The `BitstylesPhoenix.Icon` components `file` attribute can now get a default value via `icon_file` application config.\n- `ui_dropdown` and `ui_js_dropdown` (Live/Alpine3) components\n- `BitstylesPhoenix.Live` and `BitstylesPhoenix.Alpine3` for quick imports of the live and alpine3 components\n- Integration tests and example configuration with the `demo` app\n- Added `ui_icon_button/2` & `ui_icon_button/3` as helpers.\n- Added various new components: `Button`, `Tabs`, `Breadcrumbs`, `Sidebar`, `Dropdown`, `Content` ...\n- Added `icon` option to `ui_button`.\n- Added support for `:datetime` type in `ui_input`, rendered as Browser-native datetime input element\n\n#","ref":"changelog.html#added","title":"Added - Changelog","type":"extras"},{"doc":"- Added dependency to `phoenix_live_view` >= 1.17.0 (for using `sigil_H/1` and new component syntax)\n- Doctest now use `floki` to prettify the output HTML, so docs will be a nicer read.\n- `classnames/1` is now imported by default with `use BitstylesPhoenix`\n- Updated to bitstyles `v3.0.0`\n- `ui_errors` now uses larger padding","ref":"changelog.html#changed","title":"Changed - Changelog","type":"extras"},{"doc":"#","ref":"changelog.html#v0-8-0","title":"v0.8.0 - Changelog","type":"extras"},{"doc":"- Updated `phoenix_html` dependency to `~> 3`. See [its changelog](https://github.com/phoenixframework/phoenix_html/blob/master/CHANGELOG.md) for backwards incompatible changes.","ref":"changelog.html#changed","title":"Changed - Changelog","type":"extras"},{"doc":"- Added `link_fn` option in `ui_button` to support LiveView's `live_patch`/`live_redirect`","ref":"changelog.html#v0-7-0","title":"v0.7.0 - Changelog","type":"extras"},{"doc":"#","ref":"changelog.html#v0-6-0","title":"v0.6.0 - Changelog","type":"extras"},{"doc":"- Updated dependencies\n\n#","ref":"changelog.html#changed","title":"Changed - Changelog","type":"extras"},{"doc":"- Update to bitstyles 1.5.0 (Update flash component padding)","ref":"changelog.html#breaking","title":"Breaking - Changelog","type":"extras"},{"doc":"#","ref":"changelog.html#v0-5-1","title":"v0.5.1 - Changelog","type":"extras"},{"doc":"- Fix `use BitstylesPhoenix.Components` (see https://github.com/bitcrowd/bitstyles_phoenix/pull/34)","ref":"changelog.html#fixed","title":"Fixed - Changelog","type":"extras"},{"doc":"#","ref":"changelog.html#v0-5-0","title":"v0.5.0 - Changelog","type":"extras"},{"doc":"- Better documentation for form helpers\n\n#","ref":"changelog.html#added","title":"Added - Changelog","type":"extras"},{"doc":"- Multiple errors on ones field are now rendered as a list\n\n#","ref":"changelog.html#changes","title":"Changes - Changelog","type":"extras"},{"doc":"- Do not forward options from form helpers to each `label` anymore, but instead pass options through `label_opts`.\n- Drop `hidden` and `reset` input types for `ui_input`.\n\n#","ref":"changelog.html#breaking-bugfix","title":"Breaking/Bugfix - Changelog","type":"extras"},{"doc":"- deprecated `ui_error/2` in favour of the new `ui_errors/2`","ref":"changelog.html#deprecations","title":"Deprecations - Changelog","type":"extras"},{"doc":"#","ref":"changelog.html#v0-4-0","title":"v0.4.0 - Changelog","type":"extras"},{"doc":"- `BitstylesPhoenix.UseSVG.ui_svg/2` to display inline svg references with ` ` tags and support for external SVGs.\n- Make `BitstylesPhoenix.Icon.ui_icon/2` use `ui_svg` internally to support the `external` option.\n\n#","ref":"changelog.html#added","title":"Added - Changelog","type":"extras"},{"doc":"- Fix icons in docs for `BitstylesPhoenix.Icon.ui_icon/2`.","ref":"changelog.html#fixes","title":"Fixes - Changelog","type":"extras"},{"doc":"#","ref":"changelog.html#v0-3-0","title":"v0.3.0 - Changelog","type":"extras"},{"doc":"- Examples and showcases are now inlined and doctested, to assure they won't break and to be more scalable for more components.\n- Restructured top level module doc\n\n#","ref":"changelog.html#changes","title":"Changes - Changelog","type":"extras"},{"doc":"- Badge component\n- Flash component\n- New option to specify pixel width & height for SVG icons\n- Added a CHANGELOG.md, this file\n\n#","ref":"changelog.html#added","title":"Added - Changelog","type":"extras"},{"doc":"- Moved components from `BitstylesPhoenix.Components.*` to `BitstylesPhoenix.*`. Not actionable if you use `use BitstylesPhoenix.Components`","ref":"changelog.html#breaking","title":"Breaking - Changelog","type":"extras"},{"doc":"# BitstylesPhoenix\n\n[![Hex pm](http://img.shields.io/hexpm/v/bitstyles_phoenix.svg?style=flat)](https://hex.pm/packages/bitstyles_phoenix)\n[![Hex docs](http://img.shields.io/badge/hex.pm-docs-green.svg?style=flat)](https://hexdocs.pm/bitstyles_phoenix)\n[![License](https://img.shields.io/hexpm/l/bitstyles_phoenix?style=flat)](./LICENSE.txt)\n[![CircleCI](https://circleci.com/gh/bitcrowd/bitstyles_phoenix.svg?style=shield)](https://circleci.com/gh/bitcrowd/bitstyles_phoenix)\n\nBasic helpers for [bitstyles](https://github.com/bitcrowd/bitstyles) for elixir phoenix projects.","ref":"readme.html","title":"BitstylesPhoenix","type":"extras"},{"doc":"bitstyles must be installed separately into the asset generation. The helpers in this project just output classes for working with bitstyles.","ref":"readme.html#requirements","title":"Requirements - BitstylesPhoenix","type":"extras"},{"doc":"The package can be installed by adding `bitstyles_phoenix` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:bitstyles_phoenix, \"~> 2.3\"}\n  ]\nend\n```\n\nTo make use of the various `ui_*` helpers in the project, just add a use statement to the phoenix application view_helpers:\n\n```elixir\n  defp view_helpers do\n    quote do\n      # Use all HTML functionality (forms, tags, etc)\n      use Phoenix.HTML\n      use BitstylesPhoenix\n\n      # Import basic rendering functionality (render, render_layout, etc)\n      import Phoenix.View\n\n      ...\n    end\n  end\n\n```","ref":"readme.html#installation","title":"Installation - BitstylesPhoenix","type":"extras"},{"doc":"Check out the top level `BitstylesPhoenix` module for usage examples, for the `ui_*` helpers.\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at [https://hexdocs.pm/bitstyles_phoenix](https://hexdocs.pm/bitstyles_phoenix).","ref":"readme.html#getting-started","title":"Getting started - BitstylesPhoenix","type":"extras"},{"doc":"Check out the top level `BitstylesPhoenix` module for configuration examples and documentation.","ref":"readme.html#configuration","title":"Configuration - BitstylesPhoenix","type":"extras"},{"doc":"To live update the documentation when you change the `lib` folder you can do:\n\n```sh\nmix docs && fswatch -o lib | xargs -n1 -I {} mix docs\n```\n\nFor running the demo app & integration tests check out the [demo README](demo/README.md).","ref":"readme.html#developing-bitstyles_phoenix","title":"Developing bitstyles_phoenix - BitstylesPhoenix","type":"extras"},{"doc":"ISC License (ISC)\n\nCopyright (c) 2021-2023, Bitcrowd GmbH.  \n\nPermission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]}